• Recent
    • Unsolved
    • Tags
    • Popular
    • Users
    • Groups
    • Search
    • Register
    • Login

    New Install of FOG 1.1.2 and Ubuntu 12.04 LTS

    Scheduled Pinned Locked Moved
    FOG Problems
    5
    96
    49.6k
    Loading More Posts
    • Oldest to Newest
    • Newest to Oldest
    • Most Votes
    Reply
    • Reply as topic
    Log in to reply
    This topic has been deleted. Only users with topic management privileges can see it.
    • Tom ElliottT
      Tom Elliott
      last edited by

      sorry
      [code]sudo apt-get install libapache2-mod-php5 php5 php5-mysql[/code]

      Please help us build the FOG community with everyone involved. It's not just about coding - way more we need people to test things, update documentation and most importantly work on uniting the community of people enjoying and working on FOG! Get in contact with me (chat bubble in the top right corner) if you want to join in.

      Web GUI issue? Please check apache error (debian/ubuntu: /var/log/apache2/error.log, centos/fedora/rhel: /var/log/httpd/error_log) and php-fpm log (/var/log/php*-fpm.log)

      Please support FOG if you like it: https://wiki.fogproject.org/wiki/index.php/Support_FOG

      1 Reply Last reply Reply Quote 0
      • N
        NDNtech
        last edited by

        [quote=“Tom Elliott, post: 32827, member: 7271”]sorry
        [code]sudo apt-get install libapache2-mod-php5 php5 php5-mysql[/code][/quote]
        [CODE]root@SC-Image:/# apt-get install php5-mysql libapache2-mod-php5
        Reading package lists… Done
        Building dependency tree
        Reading state information… Done
        php5-mysql is already the newest version.
        Suggested packages:
        php-pear
        The following packages will be REMOVED:
        apache2-mpm-worker
        The following NEW packages will be installed:
        apache2-mpm-prefork libapache2-mod-php5
        0 upgraded, 2 newly installed, 1 to remove and 0 not upgraded.
        Need to get 0 B/3,139 kB of archives.
        After this operation, 8,718 kB of additional disk space will be used.
        Do you want to continue [Y/n]? y
        dpkg: apache2-mpm-worker: dependency problems, but removing anyway as you requested:
        apache2 depends on apache2-mpm-worker (= 2.2.22-1ubuntu1.6) | apache2-mpm-prefork (= 2.2.22-1ubuntu1.6) | apache2-mpm-event (= 2.2.22-1ubuntu1.6) | apache2-mpm-itk (= 2.2.22-1ubuntu1.6); however:
        Package apache2-mpm-worker is to be removed.
        Package apache2-mpm-prefork is not installed.
        Package apache2-mpm-event is not installed.
        Package apache2-mpm-itk is not installed.
        (Reading database … 227831 files and directories currently installed.)
        Removing apache2-mpm-worker …

        • Usage: /etc/init.d/apache2 {start|stop|graceful-stop|restart|reload|force-reload|start-htcacheclean|stop-htcacheclean|status}
          invoke-rc.d: initscript apache2, action “stop” failed.
          Selecting previously unselected package apache2-mpm-prefork.
          (Reading database … 227827 files and directories currently installed.)
          Unpacking apache2-mpm-prefork (from …/apache2-mpm-prefork_2.2.22-1ubuntu1.6_amd64.deb) …
          Setting up apache2-mpm-prefork (2.2.22-1ubuntu1.6) …
        • Usage: /etc/init.d/apache2 {start|stop|graceful-stop|restart|reload|force-reload|start-htcacheclean|stop-htcacheclean|status}
          invoke-rc.d: initscript apache2, action “start” failed.
          Selecting previously unselected package libapache2-mod-php5.
          (Reading database … 227832 files and directories currently installed.)
          Unpacking libapache2-mod-php5 (from …/libapache2-mod-php5_5.3.10-1ubuntu3.13_amd64.deb) …
          Setting up libapache2-mod-php5 (5.3.10-1ubuntu3.13) …

        Creating config file /etc/php5/apache2/php.ini with new version

        • Usage: /etc/init.d/apache2 {start|stop|graceful-stop|restart|reload|force-reload|start-htcacheclean|stop-htcacheclean|status}
          invoke-rc.d: initscript apache2, action “restart” failed.
          root@SC-Image:/# sudo apt-get install libapache2-mod-php5 php5 php5-mysql
          Reading package lists… Done
          Building dependency tree
          Reading state information… Done
          libapache2-mod-php5 is already the newest version.
          php5 is already the newest version.
          php5-mysql is already the newest version.
          0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.[/CODE]
        1 Reply Last reply Reply Quote 0
        • I
          ianabc Testers
          last edited by

          OK, I think apache is working but that your php setup might be broken. That script should be getting executed on the server, not offered for download. You might need to apt-get install the php packages again.

          Could you just confirm that the apache startup script is indeed working, first press Ctrl-C to kill off the apache debug session, then run the actual startup script, here is the output from my system
          [CODE]
          $ sudo /etc/init.d/apache2 start
          $ ps -ef | grep apache
          root 20307 1 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start
          www-data 20312 20307 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start
          www-data 20313 20307 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start
          www-data 20314 20307 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start
          www-data 20315 20307 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start
          www-data 20316 20307 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start

          root 20337 19912 0 16:21 pts/0 00:00:00 grep apache
          [/CODE]

          Once we know that apache is fine we can[S] start fixing php [/S](looks fixed by Toms previous post)

          1 Reply Last reply Reply Quote 0
          • Tom ElliottT
            Tom Elliott
            last edited by

            cool, can you try installfog.sh again?

            Please help us build the FOG community with everyone involved. It's not just about coding - way more we need people to test things, update documentation and most importantly work on uniting the community of people enjoying and working on FOG! Get in contact with me (chat bubble in the top right corner) if you want to join in.

            Web GUI issue? Please check apache error (debian/ubuntu: /var/log/apache2/error.log, centos/fedora/rhel: /var/log/httpd/error_log) and php-fpm log (/var/log/php*-fpm.log)

            Please support FOG if you like it: https://wiki.fogproject.org/wiki/index.php/Support_FOG

            1 Reply Last reply Reply Quote 0
            • N
              NDNtech
              last edited by

              [quote=“Tom Elliott, post: 32831, member: 7271”]cool, can you try installfog.sh again?[/quote]

              • Setting up and starting Apache Web Server…Failed!
              1 Reply Last reply Reply Quote 0
              • Tom ElliottT
                Tom Elliott
                last edited by

                [code]sudo apt-get install apache2-mpm-prefork[/code]

                Please help us build the FOG community with everyone involved. It's not just about coding - way more we need people to test things, update documentation and most importantly work on uniting the community of people enjoying and working on FOG! Get in contact with me (chat bubble in the top right corner) if you want to join in.

                Web GUI issue? Please check apache error (debian/ubuntu: /var/log/apache2/error.log, centos/fedora/rhel: /var/log/httpd/error_log) and php-fpm log (/var/log/php*-fpm.log)

                Please support FOG if you like it: https://wiki.fogproject.org/wiki/index.php/Support_FOG

                1 Reply Last reply Reply Quote 0
                • N
                  NDNtech
                  last edited by

                  [quote=“ianabc, post: 32830, member: 24548”]OK, I think apache is working but that your php setup might be broken. That script should be getting executed on the server, not offered for download. You might need to apt-get install the php packages again.

                  Could you just confirm that the apache startup script is indeed working, first press Ctrl-C to kill off the apache debug session, then run the actual startup script, here is the output from my system
                  [CODE]
                  $ sudo /etc/init.d/apache2 start
                  $ ps -ef | grep apache
                  root 20307 1 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start
                  www-data 20312 20307 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start
                  www-data 20313 20307 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start
                  www-data 20314 20307 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start
                  www-data 20315 20307 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start
                  www-data 20316 20307 0 16:21 ? 00:00:00 /usr/sbin/apache2 -k start

                  root 20337 19912 0 16:21 pts/0 00:00:00 grep apache
                  [/CODE]

                  Once we know that apache is fine we can[S] start fixing php [/S](looks fixed)[/quote]

                  [CODE]root@SC-Image:/opt/fog_1.1.2/bin# sudo /etc/init.d/apache2 start

                  • Usage: /etc/init.d/apache2 {start|stop|graceful-stop|restart|reload|force-reload|start-htcacheclean|stop-htcacheclean|status}
                    root@SC-Image:/opt/fog_1.1.2/bin# ps -ef | grep apache
                    root 19158 5377 0 18:26 pts/1 00:00:00 grep --color=auto apache
                    [/CODE]
                  1 Reply Last reply Reply Quote 0
                  • N
                    NDNtech
                    last edited by

                    [quote=“Tom Elliott, post: 32833, member: 7271”][code]sudo apt-get install apache2-mpm-prefork[/code][/quote]

                    [CODE]root@SC-Image:/opt/fog_1.1.2/bin# sudo apt-get install apache2-mpm-prefork
                    Reading package lists… Done
                    Building dependency tree
                    Reading state information… Done
                    apache2-mpm-prefork is already the newest version.
                    apache2-mpm-prefork set to manually installed.
                    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.[/CODE]

                    1 Reply Last reply Reply Quote 0
                    • I
                      ianabc Testers
                      last edited by

                      This post is deleted!
                      1 Reply Last reply Reply Quote 0
                      • I
                        ianabc Testers
                        last edited by

                        [quote=“NDNtech, post: 32834, member: 23658”][CODE]root@SC-Image:/opt/fog_1.1.2/bin# sudo /etc/init.d/apache2 start

                        • Usage: /etc/init.d/apache2 {start|stop|graceful-stop|restart|reload|force-reload|start-htcacheclean|stop-htcacheclean|status}
                          root@SC-Image:/opt/fog_1.1.2/bin# ps -ef | grep apache
                          root 19158 5377 0 18:26 pts/1 00:00:00 grep --color=auto apache
                          [/CODE][/quote]

                        That’s a problem, the startup script (/etc/init.d/apache2) isn’t exiting correctly.

                        1 Reply Last reply Reply Quote 0
                        • Tom ElliottT
                          Tom Elliott
                          last edited by

                          Fresh install would probably work.

                          When doing the fresh install, don’t install LAMP.

                          Please help us build the FOG community with everyone involved. It's not just about coding - way more we need people to test things, update documentation and most importantly work on uniting the community of people enjoying and working on FOG! Get in contact with me (chat bubble in the top right corner) if you want to join in.

                          Web GUI issue? Please check apache error (debian/ubuntu: /var/log/apache2/error.log, centos/fedora/rhel: /var/log/httpd/error_log) and php-fpm log (/var/log/php*-fpm.log)

                          Please support FOG if you like it: https://wiki.fogproject.org/wiki/index.php/Support_FOG

                          1 Reply Last reply Reply Quote 0
                          • N
                            NDNtech
                            last edited by

                            [quote=“Tom Elliott, post: 32838, member: 7271”]Fresh install would probably work.

                            When doing the fresh install, don’t install LAMP.[/quote]

                            What’s LAMP?

                            1 Reply Last reply Reply Quote 0
                            • Tom ElliottT
                              Tom Elliott
                              last edited by

                              Linux, Apache, Mysql, PHP

                              (Don’t choose webserver, mysql server, or what have you)

                              I always do minimal install.

                              Please help us build the FOG community with everyone involved. It's not just about coding - way more we need people to test things, update documentation and most importantly work on uniting the community of people enjoying and working on FOG! Get in contact with me (chat bubble in the top right corner) if you want to join in.

                              Web GUI issue? Please check apache error (debian/ubuntu: /var/log/apache2/error.log, centos/fedora/rhel: /var/log/httpd/error_log) and php-fpm log (/var/log/php*-fpm.log)

                              Please support FOG if you like it: https://wiki.fogproject.org/wiki/index.php/Support_FOG

                              1 Reply Last reply Reply Quote 0
                              • N
                                NDNtech
                                last edited by

                                So how would I do a minimal install, I don’t think I’m following you. (Sorry, it’s been a long day in this tiny room in front of this server)

                                1 Reply Last reply Reply Quote 0
                                • I
                                  ianabc Testers
                                  last edited by

                                  I think I agree with Tom about the install, you would probably be able to fix the install but a reinstall might be less of a headache. When you are running the ubuntu install DVD just tell it you don’t need a webserver installed - the fog installer will do that for you later.

                                  1 Reply Last reply Reply Quote 0
                                  • I
                                    ianabc Testers
                                    last edited by

                                    I’d be interested to see the contents of the /etc/init.d/apache2 file if you have it before you reinstall though.

                                    1 Reply Last reply Reply Quote 0
                                    • N
                                      NDNtech
                                      last edited by

                                      Okay. I had issues with my install too. I couldn’t do a regular install for some reason. I had to boot into the live OS and install from there. In the normal install I kept seeing messages in the command area saying it didn’t have permissions to do things, and then it would error out and say it didn’t know where to install GRUB.

                                      I had a feeling that maybe it’s because I’m using RAID, but I couldn’t find any supporting info on that. I’m using RAID5 on a Dell PowerEdge R610 if that makes any difference. lol

                                      1 Reply Last reply Reply Quote 0
                                      • N
                                        NDNtech
                                        last edited by

                                        [quote=“ianabc, post: 32844, member: 24548”]I’d be interested to see the contents of the /etc/init.d/apache2 file if you have it before you reinstall though.[/quote]

                                        [CODE]#!/bin/sh

                                        BEGIN INIT INFO

                                        Provides: apache2

                                        Required-Start: $local_fs $remote_fs $network $syslog $named

                                        Required-Stop: $local_fs $remote_fs $network $syslog $named

                                        Default-Start: 2 3 4 5

                                        Default-Stop: 0 1 6

                                        X-Interactive: true

                                        Short-Description: Start/stop apache2 web server

                                        END INIT INFO

                                        set -e

                                        SCRIPTNAME=“${0##*/}”
                                        SCRIPTNAME=“${SCRIPTNAME##[KS][0-9][0-9]}”
                                        if [ -n “$APACHE_CONFDIR” ] ; then
                                        if [ “${APACHE_CONFDIR##/etc/apache2-}” != “${APACHE_CONFDIR}” ] ; then
                                        DIR_SUFFIX=“${APACHE_CONFDIR##/etc/apache2-}”
                                        else
                                        DIR_SUFFIX=
                                        fi
                                        elif [ “${SCRIPTNAME##apache2-}” != “$SCRIPTNAME” ] ; then
                                        DIR_SUFFIX=“-${SCRIPTNAME##apache2-}”
                                        APACHE_CONFDIR=/etc/apache2$DIR_SUFFIX
                                        else
                                        DIR_SUFFIX=
                                        APACHE_CONFDIR=/etc/apache2
                                        fi
                                        if [ -z “$APACHE_ENVVARS” ] ; then
                                        APACHE_ENVVARS=$APACHE_CONFDIR/envvars
                                        fi
                                        export APACHE_CONFDIR APACHE_ENVVARS

                                        ENV=“env -i LANG=C PATH=/usr/local/bin:/usr/bin:/bin”
                                        if [ “$APACHE_CONFDIR” != /etc/apache2 ] ; then
                                        ENV=“$ENV APACHE_CONFDIR=$APACHE_CONFDIR”
                                        fi
                                        if [ “$APACHE_ENVVARS” != “$APACHE_CONFDIR/envvars” ] ; then
                                        ENV=“$ENV APACHE_ENVVARS=$APACHE_ENVVARS”
                                        fi

                                        #edit /etc/default/apache2 to change this.
                                        HTCACHECLEAN_RUN=auto
                                        HTCACHECLEAN_MODE=daemon
                                        HTCACHECLEAN_SIZE=300M
                                        HTCACHECLEAN_DAEMON_INTERVAL=120
                                        HTCACHECLEAN_PATH=/var/cache/apache2$DIR_SUFFIX/mod_disk_cache
                                        HTCACHECLEAN_OPTIONS=“”

                                        APACHE_HTTPD=$(. $APACHE_ENVVARS && echo $APACHE_HTTPD)
                                        if [ -z “$APACHE_HTTPD” ] ; then
                                        APACHE_HTTPD=/usr/sbin/apache2
                                        fi
                                        if [ ! -x $APACHE_HTTPD ] ; then
                                        echo “No apache MPM package installed”
                                        exit 0
                                        fi

                                        . /lib/lsb/init-functions

                                        test -f /etc/default/rcS && . /etc/default/rcS

                                        if [ -f /etc/default/apache2$DIR_SUFFIX ] ; then
                                        . /etc/default/apache2$DIR_SUFFIX
                                        elif [ -f /etc/default/apache2 ] ; then
                                        . /etc/default/apache2
                                        fi

                                        APACHE2CTL=“$ENV /usr/sbin/apache2ctl”
                                        HTCACHECLEAN=“$ENV /usr/sbin/htcacheclean”

                                        PIDFILE=$(. $APACHE_ENVVARS && echo $APACHE_PID_FILE)
                                        if [ -z “$PIDFILE” ] ; then
                                        echo ERROR: APACHE_PID_FILE needs to be defined in $APACHE_ENVVARS >&2
                                        exit 2
                                        fi

                                        check_htcacheclean() {
                                        [ “$HTCACHECLEAN_MODE” = “daemon” ] || return 1

                                        [ "$HTCACHECLEAN_RUN"  = "yes"    ] && return 0
                                        
                                        MODSDIR=$(. $APACHE_ENVVARS && echo $APACHE_MODS_ENABLED)
                                        [ "$HTCACHECLEAN_RUN"  = "auto" \
                                          -a -e ${MODSDIR:-$APACHE_CONFDIR/mods-enabled}/disk_cache.load ] && \
                                            return 0
                                        
                                        return 1
                                        

                                        }

                                        start_htcacheclean() {
                                        if [ ! -d “$HTCACHECLEAN_PATH” ] ; then
                                        echo “… directory $HTCACHECLEAN_PATH does not exist!” >&2
                                        return 1
                                        fi
                                        $HTCACHECLEAN $HTCACHECLEAN_OPTIONS -d$HTCACHECLEAN_DAEMON_INTERVAL
                                        -i -p$HTCACHECLEAN_PATH -l$HTCACHECLEAN_SIZE
                                        }

                                        stop_htcacheclean() {
                                        pkill -P 1 -f "htcacheclean.* -p$HTCACHECLEAN_PATH " 2> /dev/null || echo …not running
                                        }

                                        pidof_apache() {
                                        # if there is actually an apache2 process whose pid is in PIDFILE,
                                        # print it and return 0.
                                        if [ -e “$PIDFILE” ]; then
                                        if pidof apache2 | tr ’ ’ ‘\n’ | grep -w $(cat $PIDFILE); then
                                        return 0
                                        fi
                                        fi
                                        return 1
                                        }

                                        apache_stop() {
                                        if $APACHE2CTL configtest > /dev/null 2>&1; then
                                        # if the config is ok than we just stop normaly
                                        $APACHE2CTL stop 2>&1 | grep -v ‘not running’ >&2 || true
                                        else
                                        # if we are here something is broken and we need to try
                                        # to exit as nice and clean as possible
                                        PID=$(pidof_apache) || true

                                            if [ "${PID}" ]; then
                                                # in this case it is everything nice and dandy and we kill apache2
                                                echo
                                                log_warning_msg "The apache2$DIR_SUFFIX configtest failed, so we are trying to kill it manually. This is almost certainly suboptimal, so please make sure your system is working as you'd expect now!"
                                                            kill $PID
                                            elif [ "$(pidof apache2)" ]; then
                                                if [ "$VERBOSE" != no ]; then
                                                                    echo " ... failed!"
                                                        echo "You may still have some apache2 processes running.  There are"
                                                        echo "processes named 'apache2' which do not match your pid file,"
                                                        echo "and in the name of safety, we've left them alone.  Please review"
                                                        echo "the situation by hand."
                                                            fi
                                                            return 1
                                            fi
                                        fi
                                        

                                        }

                                        apache_wait_stop() {
                                        # running ?
                                        PIDTMP=$(pidof_apache) || true
                                        if kill -0 “${PIDTMP:-}” 2> /dev/null; then
                                        PID=$PIDTMP
                                        fi

                                        apache_stop
                                        
                                        # wait until really stopped
                                        if [ -n "${PID:-}" ]; then
                                            i=0
                                            while kill -0 "${PID:-}" 2> /dev/null;  do
                                                    if [ $i = '60' ]; then
                                                        break;
                                                    else
                                                        if [ $i = '0' ]; then
                                                                echo -n " ... waiting "
                                                        else
                                                                      echo -n "."
                                                        fi
                                                        i=$(($i+1))
                                                        sleep 1
                                                      fi
                                            done
                                        fi
                                        

                                        }

                                        case $1 in
                                        start)
                                        log_daemon_msg “Starting web server” “apache2”
                                        if $APACHE2CTL start; then
                                        if check_htcacheclean ; then
                                        log_progress_msg htcacheclean
                                        start_htcacheclean || log_end_msg 1
                                        fi
                                        log_end_msg 0
                                        else
                                        log_end_msg 1
                                        fi
                                        ;;
                                        stop)
                                        if check_htcacheclean ; then
                                        log_daemon_msg “Stopping web server” “htcacheclean”
                                        stop_htcacheclean
                                        log_progress_msg “apache2”
                                        else
                                        log_daemon_msg “Stopping web server” “apache2”
                                        fi
                                        if apache_wait_stop; then
                                        log_end_msg 0
                                        else
                                        log_end_msg 1
                                        fi
                                        ;;
                                        graceful-stop)
                                        if check_htcacheclean ; then
                                        log_daemon_msg “Stopping web server” “htcacheclean”
                                        stop_htcacheclean
                                        log_progress_msg “apache2”
                                        else
                                        log_daemon_msg “Stopping web server” “apache2”
                                        fi
                                        if $APACHE2CTL graceful-stop; then
                                        log_end_msg 0
                                        else
                                        log_end_msg 1
                                        fi
                                        ;;
                                        reload | force-reload | graceful)
                                        if ! $APACHE2CTL configtest > /dev/null 2>&1; then
                                        $APACHE2CTL configtest || true
                                        log_end_msg 1
                                        exit 1
                                        fi
                                        log_daemon_msg “Reloading web server config” “apache2”
                                        if pidof_apache > /dev/null ; then
                                        if $APACHE2CTL graceful $2 ; then
                                        log_end_msg 0
                                        else
                                        log_end_msg 1
                                        fi
                                        fi
                                        ;;
                                        restart)
                                        if ! $APACHE2CTL configtest > /dev/null 2>&1; then
                                        $APACHE2CTL configtest || true
                                        log_end_msg 1
                                        exit 1
                                        fi
                                        if check_htcacheclean ; then
                                        log_daemon_msg “Restarting web server” “htcacheclean”
                                        stop_htcacheclean
                                        log_progress_msg apache2
                                        else
                                        log_daemon_msg “Restarting web server” “apache2”
                                        fi
                                        PID=$(pidof_apache) || true
                                        if ! apache_wait_stop; then
                                        log_end_msg 1 || true
                                        fi
                                        if $APACHE2CTL start; then
                                        if check_htcacheclean ; then
                                        start_htcacheclean || log_end_msg 1
                                        fi
                                        log_end_msg 0
                                        else
                                        log_end_msg 1
                                        fi
                                        ;;
                                        start-htcacheclean)
                                        log_daemon_msg “Starting htcacheclean”
                                        start_htcacheclean || log_end_msg 1
                                        log_end_msg 0
                                        ;;
                                        stop-htcacheclean)
                                        log_daemon_msg “Stopping htcacheclean”
                                        stop_htcacheclean
                                        log_end_msg 0
                                        ;;
                                        status)
                                        PID=$(pidof_apache) || true
                                        if [ -n “$PID” ]; then
                                        echo “Apache2$DIR_SUFFIX is running (pid $PID).”
                                        exit 0
                                        else
                                        echo “Apache2$DIR_SUFFIX is NOT running.”
                                        if [ -e “$PIDFILE” ]; then
                                        exit 1
                                        else
                                        exit 3
                                        fi
                                        fi
                                        ;;
                                        *)
                                        log_success_msg “Usage: /etc/init.d/apache2$DIR_SUFFIX {start|stop|graceful-stop|restart|reload|force-reload|start-htcacheclean|stop-htcacheclean|status}”
                                        exit 1
                                        ;;
                                        esac[/CODE]

                                        1 Reply Last reply Reply Quote 0
                                        • I
                                          ianabc Testers
                                          last edited by

                                          [quote=“NDNtech, post: 32845, member: 23658”]Okay. I had issues with my install too. I couldn’t do a regular install for some reason. I had to boot into the live OS and install from there. In the normal install I kept seeing messages in the command area saying it didn’t have permissions to do things, and then it would error out and say it didn’t know where to install GRUB.

                                          I had a feeling that maybe it’s because I’m using RAID, but I couldn’t find any supporting info on that. I’m using RAID5 on a Dell PowerEdge R610 if that makes any difference. lol[/quote]

                                          I have similar hardware but I’m using CentOS instead of Ubuntu. If you configure the RAID5 in hardware then I think you can just pretend like it’s a simple SATA disk in the installer (i.e. Don’t tell it about the RAID configuration - let the hardware manage that). The installer messages sound weird, what do you mean by the “normal install”?

                                          1 Reply Last reply Reply Quote 0
                                          • N
                                            NDNtech
                                            last edited by

                                            I’m in the Ubuntu installer and I don’t see that option, It just goes through the steps until it gets to the screen to select a partition

                                            1 Reply Last reply Reply Quote 0
                                            • 1
                                            • 2
                                            • 3
                                            • 4
                                            • 5
                                            • 4 / 5
                                            • First post
                                              Last post

                                            155

                                            Online

                                            12.0k

                                            Users

                                            17.3k

                                            Topics

                                            155.2k

                                            Posts
                                            Copyright © 2012-2024 FOG Project